Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_POA Class Reference

`#include <POA.h>`

Inheritance diagram for TAO_POA

[legend]
Collaboration diagram for TAO_POA:

[legend]
List of all members.

## Public Types
typedef ACE_CString | String
enum | { TAO_OBJECTKEY_PREFIX_SIZE = 4 }
## Public Methods
virtual TAO_POA* | _tao_poa_downcast (void)
PortableServer::POA_ptr | create_POA (const char *adapter_name, PortableServer::POAManager_ptr poa_manager, const CORBA::PolicyList &policies, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
PortableServer::POA_ptr | find_POA (const char *adapter_name, CORBA::Boolean activate_it, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)
void | destroy (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::ThreadPolicy_ptr | create_thread_policy (PortableServer::ThreadPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::LifespanPolicy_ptr | create_lifespan_policy (PortableServer::LifespanPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::IdUniquenessPolicy_ptr | create_id_uniqueness_policy (PortableServer::IdUniquenessPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::IdAssignmentPolicy_ptr | create_id_assignment_policy (PortableServer::IdAssignmentPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::ImplicitActivationPolicy_ptr | create_implicit_activation_policy (PortableServer::ImplicitActivationPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::ServantRetentionPolicy_ptr | create_servant_retention_policy (PortableServer::ServantRetentionPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::RequestProcessingPolicy_ptr | create_request_processing_policy (PortableServer::RequestProcessingPolicyValue value, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
char* | the_name (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::POA_ptr | the_parent (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::POAList* | the_children (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::POAManager_ptr | the_POAManager (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::AdapterActivator_ptr | the_activator (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
void | the_activator (PortableServer::AdapterActivator_ptr adapter_activator, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
PortableServer::ServantManager_ptr | get_servant_manager (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager (PortableServer::ServantManager_ptr imgr, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::Servant | get_servant (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)
void | set_servant (PortableServer::Servant servant, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId* | activate_object (PortableServer::Servant p_servant, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant p_servant, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
void | deactivate_object (const PortableServer::ObjectId &oid, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference (const char *intf, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId* | servant_to_id (PortableServer::Servant p_servant, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | servant_to_reference (PortableServer::Servant p_servant, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::Servant | reference_to_servant (CORBA::Object_ptr reference, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId* | reference_to_id (CORBA::Object_ptr reference, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
PortableServer::Servant | id_to_servant (const PortableServer::ObjectId &oid, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &oid, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::OctetSeq* | id (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
TAO_POA_Policy_Set& | policies (void)
| Accessor for POA policies.
TAO_POA_Cached_Policies& | cached_policies (void)
| Accessor for cached POA policies.
virtual CORBA::PolicyList* | client_exposed_policies (CORBA::Short object_priority, CORBA_Environment &ACE_TRY_ENV)
| TAO_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter, CORBA_Environment &ACE_TRY_ENV)
virtual | ~TAO_POA (void)
const TAO_Object_Adapter::poa_name& | folded_name (void) const
const TAO_Object_Adapter::poa_name& | system_name (void) const
TAO_ORB_Core& | orb_core (void) const
CORBA::Boolean | cleanup_in_progress (void)
TAO_Object_Adapter& | object_adapter (void)
ACE_Lock& | lock (void)
TAO_Stub* | key_to_stub (const TAO_ObjectKey &key, const char *type_id, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV)
PortableServer::ThreadPolicyValue | thread_policy (void) const
| Accessor for the current thread policy of this POA.
virtual void* | thread_pool (void) const
## Static Public Methods
char* | ObjectId_to_string (const PortableServer::ObjectId &id)
CORBA::WChar* | ObjectId_to_wstring (const PortableServer::ObjectId &id)
PortableServer::ObjectId* | string_to_ObjectId (const char *id)
PortableServer::ObjectId* | string_to_ObjectId (const char *string, int size)
PortableServer::ObjectId* | wstring_to_ObjectId (const CORBA::WChar *id)
char | name_separator (void)
CORBA::ULong | name_separator_length (void)
void | check_for_valid_wait_for_completions (const TAO_ORB_Core &orb_core, CORBA::Boolean wait_for_completion, CORBA::Environment &ACE_TRY_ENV)
## Static Public Attributes
CORBA::Octet | objectkey_prefix [TAO_OBJECTKEY_PREFIX_SIZE]
## Protected Types
typedef ACE_Hash_Map_Manager< ACE_CString, TAO_POA *, ACE_Null_Mutex> | CHILDREN
## Protected Methods
const ACE_CString& | name (void) const
virtual TAO_POA* | new_POA (const String &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, TAO_POA *parent, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter, CORBA_Environment &ACE_TRY_ENV)
| Template method for creating new POA's of this type.
PortableServer::POA_ptr | create_POA_i (const char *adapter_name, PortableServer::POAManager_ptr poa_manager, const CORBA::PolicyList &policies, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
TAO_POA* | create_POA_i (const String &adapter_name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)
TAO_POA* | find_POA_i (const ACE_CString &child_name, CORBA::Boolean activate_it, CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)
void | destroy_i (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
void | complete_destruction_i (CORBA::Environment &ACE_TRY_ENV)
PortableServer::POAList* | the_children_i (CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
PortableServer::ServantManager_ptr | get_servant_manager_i (CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager_i (PortableServer::ServantManager_ptr imgr, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::Servant | get_servant_i (CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)
void | set_servant_i (PortableServer::Servant servant, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | imr_notify_startup (CORBA_Environment &ACE_TRY_ENV)
void | imr_notify_shutdown (void)
CORBA::Object_ptr | key_to_object (const TAO_ObjectKey &key, const char *type_id, TAO_ServantBase *servant, CORBA::Boolean collocated, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV)
virtual TAO_Stub* | key_to_stub_i (const TAO_ObjectKey &key, const char *type_id, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV)
TAO_Stub* | create_stub_object (const TAO_ObjectKey &object_key, const char *type_id, CORBA::PolicyList *policy_list, TAO_Acceptor_Filter *filter, TAO_Acceptor_Registry &acceptor_registry, CORBA::Environment &ACE_TRY_ENV)
int | is_servant_in_map (PortableServer::Servant servant)
int | is_user_id_in_map (const PortableServer::ObjectId &user_id, CORBA::Short priority, int &priorities_match)
PortableServer::ObjectId* | activate_object_i (PortableServer::Servant p_servant, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
void | activate_object_with_id_i (const PortableServer::ObjectId &id, PortableServer::Servant p_servant, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
void | deactivate_all_objects_i (CORBA::Boolean etherealize_objects, CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | deactivate_all_objects_i (CORBA::Boolean etherealize_objects, CORBA::Boolean wait_for_completion, CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | wait_for_completions (CORBA::Boolean wait_for_completion, CORBA::Environment &ACE_TRY_ENV)
void | check_poa_manager_state (CORBA::Environment &ACE_TRY_ENV)
void | deactivate_object_i (const PortableServer::ObjectId &oid, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
void | cleanup_servant (TAO_Active_Object_Map::Map_Entry *active_object_map_entry, CORBA::Environment &ACE_TRY_ENV)
void | deactivate_map_entry (TAO_Active_Object_Map::Map_Entry *active_object_map_entry, CORBA::Environment &ACE_TRY_ENV)
CORBA::Object_ptr | create_reference_i (const char *intf, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | create_reference_with_id_i (const PortableServer::ObjectId &oid, const char *intf, CORBA::Short priority, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId* | servant_to_id_i (PortableServer::Servant servant, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId* | servant_to_system_id (PortableServer::Servant p_servant, CORBA::Short &priority, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::ObjectId* | servant_to_system_id_i (PortableServer::Servant p_servant, CORBA::Short &priority, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
PortableServer::Servant | id_to_servant_i (const PortableServer::ObjectId &oid, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference_i (const PortableServer::ObjectId &oid, CORBA_Environment &ACE_TRY_ENV) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
TAO_Active_Object_Map& | active_object_map (void) const
int | delete_child (const String &child)
void | set_folded_name (void)
void | set_id (void)
TAO_ObjectKey* | create_object_key (const PortableServer::ObjectId &id)
int | is_poa_generated_id (const PortableServer::ObjectId &id)
TAO_SERVANT_LOCATION | locate_servant_i (const PortableServer::ObjectId &id, PortableServer::Servant &servant, CORBA_Environment &ACE_TRY_ENV)
PortableServer::Servant | locate_servant_i (const char *operation, const PortableServer::ObjectId &id, TAO_Object_Adapter::Servant_Upcall &servant_upcall, TAO_POA_Current_Impl &poa_current_impl, CORBA_Environment &ACE_TRY_ENV)
const TAO_Creation_Time& | creation_time (void)
CORBA::Boolean | persistent (void)
char | persistent_key_type (void)
CORBA::Boolean | system_id (void)
char | system_id_key_type (void)
CORBA::Boolean | root (void)
char | root_key_type (void)
CORBA::ULong | outstanding_requests (void) const
void | outstanding_requests (CORBA::ULong new_outstanding_requests)
CORBA::ULong | increment_outstanding_requests (void)
CORBA::ULong | decrement_outstanding_requests (void)
TAO_SYNCH_RECURSIVE_MUTEX& | single_threaded_lock (void) const
CORBA::Boolean | waiting_destruction (void) const
## Protected Attributes
String | name_
TAO_Object_Adapter::poa_name | folded_name_
TAO_Object_Adapter::poa_name_var | system_name_
CORBA::OctetSeq | id_
TAO_POA_Manager& | poa_manager_
TAO_POA_Policy_Set | policies_
TAO_POA_Cached_Policies | cached_policies_
TAO_POA* | parent_
TAO_Active_Object_Map* | active_object_map_
int | delete_active_object_map_
PortableServer::AdapterActivator_var | adapter_activator_
PortableServer::ServantActivator_var | servant_activator_
PortableServer::ServantLocator_var | servant_locator_
PortableServer::ServantBase_var | default_servant_
ServerObject_i* | server_object_
int | use_imr_
CHILDREN | children_
ACE_Lock& | lock_
TAO_Creation_Time | creation_time_
TAO_ORB_Core& | orb_core_
TAO_Object_Adapter* | object_adapter_
CORBA::Boolean | cleanup_in_progress_
CORBA::Boolean | etherealize_objects_
CORBA::ULong | outstanding_requests_
TAO_SYNCH_CONDITION | outstanding_requests_condition_
CORBA::Boolean | wait_for_completion_pending_
CORBA::Boolean | waiting_destruction_
TAO_SYNCH_CONDITION | servant_deactivation_condition_
CORBA::ULong | waiting_servant_deactivation_
TAO_SYNCH_RECURSIVE_MUTEX* | single_threaded_lock_
## Static Protected Methods
int | parse_key (const TAO_ObjectKey &key, TAO_Object_Adapter::poa_name &poa_system_name, PortableServer::ObjectId &system_id, CORBA::Boolean &is_root, CORBA::Boolean &is_persistent, CORBA::Boolean &is_system_id, TAO_Temporary_Creation_Time &poa_creation_time)
TAO_POA_Policy_Set& | default_poa_policies (void)
| Access the list of default POA policies. This list is used as a prototype for creating new POA's. It should.
char | persistent_key_char (void)
char | transient_key_char (void)
CORBA::ULong | persistent_key_type_length (void)
char | system_id_key_char (void)
char | user_id_key_char (void)
CORBA::ULong | system_id_key_type_length (void)
char | root_key_char (void)
char | non_root_key_char (void)
CORBA::ULong | root_key_type_length (void)
## Friends
class | TAO_Object_Adapter
class | TAO_POA_Current_Impl
class | TAO_POA_Manager
class | TAO_RT_Collocation_Resolver

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString, TAO_POA *, ACE_Null_Mutex> TAO_POA::CHILDREN`[protected]`

typedef ACE_CString TAO_POA::String

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  TAO_OBJECTKEY_PREFIX_SIZE |

## Constructor & Destructor Documentation

TAO_POA::TAO_POA ( | const String & name,
| TAO_POA_Manager & poa_manager,
| const TAO_POA_Policy_Set & policies,
| TAO_POA * parent,
| ACE_Lock & lock,
| TAO_SYNCH_MUTEX & thread_lock,
| TAO_ORB_Core & orb_core,
| TAO_Object_Adapter * object_adapter,
| CORBA_Environment & ACE_TRY_ENV )

TAO_POA::~TAO_POA ( | void )`[virtual]`

## Member Function Documentation

char * TAO_POA::ObjectId_to_string ( | const PortableServer::ObjectId & id )`[static]`

CORBA::WChar * TAO_POA::ObjectId_to_wstring ( | const PortableServer::ObjectId & id )`[static]`

TAO_POA * TAO_POA::_tao_poa_downcast ( | void )`[virtual]`

| This method is used to downcast safely an instance of PortableServer::POA to an instance of TAO_POA when RTTI is not enabled.

PortableServer::ObjectId* TAO_POA::activate_object ( | PortableServer::Servant p_servant,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)

PortableServer::ObjectId* TAO_POA::activate_object_i ( | PortableServer::Servant p_servant,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_POA::activate_object_with_id ( | const PortableServer::ObjectId & id,
| PortableServer::Servant p_servant,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)

void TAO_POA::activate_object_with_id_i ( | const PortableServer::ObjectId & id,
| PortableServer::Servant p_servant,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)`[protected]`

ACE_INLINE TAO_Active_Object_Map & TAO_POA::active_object_map ( | void ) const`[protected]`

ACE_INLINE TAO_POA_Cached_Policies & TAO_POA::cached_policies ( | void )

| Accessor for cached POA policies.

void TAO_POA::check_for_valid_wait_for_completions ( | const TAO_ORB_Core & orb_core,
| CORBA::Boolean wait_for_completion,
| CORBA::Environment & ACE_TRY_ENV )`[static]`

void TAO_POA::check_poa_manager_state ( | CORBA::Environment & ACE_TRY_ENV )`[protected]`

ACE_INLINE CORBA::Boolean TAO_POA::cleanup_in_progress ( | void )

void TAO_POA::cleanup_servant ( | TAO_Active_Object_Map::Map_Entry * active_object_map_entry,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

CORBA::PolicyList * TAO_POA::client_exposed_policies ( | CORBA::Short object_priority,
| CORBA_Environment & ACE_TRY_ENV )`[virtual]`

void TAO_POA::complete_destruction_i ( | CORBA::Environment & ACE_TRY_ENV )`[protected]`

PortableServer::POA_ptr TAO_POA::create_POA ( | const char * adapter_name,
| PortableServer::POAManager_ptr poa_manager,
| const CORBA::PolicyList & policies,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)

TAO_POA* TAO_POA::create_POA_i ( | const String & adapter_name,
| TAO_POA_Manager & poa_manager,
| const TAO_POA_Policy_Set & policies,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)`[protected]`

PortableServer::POA_ptr TAO_POA::create_POA_i ( | const char * adapter_name,
| PortableServer::POAManager_ptr poa_manager,
| const CORBA::PolicyList & policies,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::AdapterAlreadyExists, PortableServer::POA::InvalidPolicy)`[protected]`

PortableServer::IdAssignmentPolicy_ptr TAO_POA::create_id_assignment_policy ( | PortableServer::IdAssignmentPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::IdUniquenessPolicy_ptr TAO_POA::create_id_uniqueness_policy ( | PortableServer::IdUniquenessPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::ImplicitActivationPolicy_ptr TAO_POA::create_implicit_activation_policy ( | PortableServer::ImplicitActivationPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::LifespanPolicy_ptr TAO_POA::create_lifespan_policy ( | PortableServer::LifespanPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

TAO_ObjectKey * TAO_POA::create_object_key ( | const PortableServer::ObjectId & id )`[protected]`

CORBA::Object_ptr TAO_POA::create_reference ( | const char * intf,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_POA::create_reference_i ( | const char * intf,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

CORBA::Object_ptr TAO_POA::create_reference_with_id ( | const PortableServer::ObjectId & oid,
| const char * intf,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_POA::create_reference_with_id_i ( | const PortableServer::ObjectId & oid,
| const char * intf,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

PortableServer::RequestProcessingPolicy_ptr TAO_POA::create_request_processing_policy ( | PortableServer::RequestProcessingPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::ServantRetentionPolicy_ptr TAO_POA::create_servant_retention_policy ( | PortableServer::ServantRetentionPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

TAO_Stub * TAO_POA::create_stub_object ( | const TAO_ObjectKey & object_key,
| const char * type_id,
| CORBA::PolicyList * policy_list,
| TAO_Acceptor_Filter * filter,
| TAO_Acceptor_Registry & acceptor_registry,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

PortableServer::ThreadPolicy_ptr TAO_POA::create_thread_policy ( | PortableServer::ThreadPolicyValue value,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

ACE_INLINE const TAO_Creation_Time & TAO_POA::creation_time ( | void )`[protected]`

void TAO_POA::deactivate_all_objects_i ( | CORBA::Boolean etherealize_objects,
| CORBA::Boolean wait_for_completion,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_POA::deactivate_all_objects_i ( | CORBA::Boolean etherealize_objects,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_POA::deactivate_map_entry ( | TAO_Active_Object_Map::Map_Entry * active_object_map_entry,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

void TAO_POA::deactivate_object ( | const PortableServer::ObjectId & oid,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

void TAO_POA::deactivate_object_i ( | const PortableServer::ObjectId & oid,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[protected]`

ACE_INLINE CORBA::ULong TAO_POA::decrement_outstanding_requests ( | void )`[protected]`

TAO_POA_Policy_Set & TAO_POA::default_poa_policies ( | void )`[static, protected]`

| Access the list of default POA policies. This list is used as a prototype for creating new POA's. It should.

int TAO_POA::delete_child ( | const String & child )`[protected]`

void TAO_POA::destroy ( | CORBA::Boolean etherealize_objects,
| CORBA::Boolean wait_for_completion,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

void TAO_POA::destroy_i ( | CORBA::Boolean etherealize_objects,
| CORBA::Boolean wait_for_completion,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[protected]`

PortableServer::POA_ptr TAO_POA::find_POA ( | const char * adapter_name,
| CORBA::Boolean activate_it,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)

TAO_POA * TAO_POA::find_POA_i ( | const ACE_CString & child_name,
| CORBA::Boolean activate_it,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::AdapterNonExistent)`[protected]`

ACE_INLINE const TAO_Object_Adapter::poa_name & TAO_POA::folded_name ( | void ) const

PortableServer::Servant TAO_POA::get_servant ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_POA::get_servant_i ( | CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::NoServant, PortableServer::POA::WrongPolicy)`[protected]`

PortableServer::ServantManager_ptr TAO_POA::get_servant_manager ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

PortableServer::ServantManager_ptr TAO_POA::get_servant_manager_i ( | CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

CORBA::OctetSeq * TAO_POA::id ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

CORBA::Object_ptr TAO_POA::id_to_reference ( | const PortableServer::ObjectId & oid,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

CORBA::Object_ptr TAO_POA::id_to_reference_i ( | const PortableServer::ObjectId & oid,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[protected]`

PortableServer::Servant TAO_POA::id_to_servant ( | const PortableServer::ObjectId & oid,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_POA::id_to_servant_i ( | const PortableServer::ObjectId & oid,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_POA::imr_notify_shutdown ( | void )`[protected]`

void TAO_POA::imr_notify_startup ( | CORBA_Environment & ACE_TRY_ENV )`[protected]`

ACE_INLINE CORBA::ULong TAO_POA::increment_outstanding_requests ( | void )`[protected]`

int TAO_POA::is_poa_generated_id ( | const PortableServer::ObjectId & id )`[protected]`

int TAO_POA::is_servant_in_map ( | PortableServer::Servant servant )`[protected]`

int TAO_POA::is_user_id_in_map ( | const PortableServer::ObjectId & id,
| CORBA::Short priority,
| int & priorities_match )`[protected]`

CORBA::Object_ptr TAO_POA::key_to_object ( | const TAO_ObjectKey & key,
| const char * type_id,
| TAO_ServantBase * servant,
| CORBA::Boolean collocated,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV )`[protected]`

TAO_Stub * TAO_POA::key_to_stub ( | const TAO_ObjectKey & key,
| const char * type_id,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV )

TAO_Stub * TAO_POA::key_to_stub_i ( | const TAO_ObjectKey & key,
| const char * type_id,
| CORBA::Short priority,
| CORBA_Environment & ACE_TRY_ENV )`[protected, virtual]`

PortableServer::Servant TAO_POA::locate_servant_i ( | const char * operation,
| const PortableServer::ObjectId & id,
| TAO_Object_Adapter::Servant_Upcall & servant_upcall,
| TAO_POA_Current_Impl & poa_current_impl,
| CORBA_Environment & ACE_TRY_ENV )`[protected]`

TAO_SERVANT_LOCATION TAO_POA::locate_servant_i ( | const PortableServer::ObjectId & id,
| PortableServer::Servant & servant,
| CORBA_Environment & ACE_TRY_ENV )`[protected]`

ACE_INLINE ACE_Lock & TAO_POA::lock ( | void )

ACE_INLINE const ACE_CString & TAO_POA::name ( | void ) const`[protected]`

ACE_INLINE char TAO_POA::name_separator ( | void )`[static]`

ACE_INLINE CORBA::ULong TAO_POA::name_separator_length ( | void )`[static]`

TAO_POA * TAO_POA::new_POA ( | const String & name,
| TAO_POA_Manager & poa_manager,
| const TAO_POA_Policy_Set & policies,
| TAO_POA * parent,
| ACE_Lock & lock,
| TAO_SYNCH_MUTEX & thread_lock,
| TAO_ORB_Core & orb_core,
| TAO_Object_Adapter * object_adapter,
| CORBA_Environment & ACE_TRY_ENV )`[protected, virtual]`

| Template method for creating new POA's of this type.

ACE_INLINE char TAO_POA::non_root_key_char ( | void )`[static, protected]`

TAO_Object_Adapter & TAO_POA::object_adapter ( | void )

ACE_INLINE TAO_ORB_Core & TAO_POA::orb_core ( | void ) const

ACE_INLINE void TAO_POA::outstanding_requests ( | CORBA::ULong new_outstanding_requests )`[protected]`

ACE_INLINE CORBA::ULong TAO_POA::outstanding_requests ( | void ) const`[protected]`

int TAO_POA::parse_key ( | const TAO_ObjectKey & key,
| TAO_Object_Adapter::poa_name & poa_system_name,
| PortableServer::ObjectId & system_id,
| CORBA::Boolean & is_root,
| CORBA::Boolean & is_persistent,
| CORBA::Boolean & is_system_id,
| TAO_Temporary_Creation_Time & poa_creation_time )`[static, protected]`

ACE_INLINE CORBA::Boolean TAO_POA::persistent ( | void )`[protected]`

ACE_INLINE char TAO_POA::persistent_key_char ( | void )`[static, protected]`

ACE_INLINE char TAO_POA::persistent_key_type ( | void )`[protected]`

ACE_INLINE CORBA::ULong TAO_POA::persistent_key_type_length ( | void )`[static, protected]`

ACE_INLINE TAO_POA_Policy_Set & TAO_POA::policies ( | void )

| Accessor for POA policies.

PortableServer::ObjectId* TAO_POA::reference_to_id ( | CORBA::Object_ptr reference,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

PortableServer::Servant TAO_POA::reference_to_servant ( | CORBA::Object_ptr reference,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)

ACE_INLINE CORBA::Boolean TAO_POA::root ( | void )`[protected]`

ACE_INLINE char TAO_POA::root_key_char ( | void )`[static, protected]`

ACE_INLINE char TAO_POA::root_key_type ( | void )`[protected]`

ACE_INLINE CORBA::ULong TAO_POA::root_key_type_length ( | void )`[static, protected]`

PortableServer::ObjectId* TAO_POA::servant_to_id ( | PortableServer::Servant p_servant,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

PortableServer::ObjectId* TAO_POA::servant_to_id_i ( | PortableServer::Servant servant,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[protected]`

CORBA::Object_ptr TAO_POA::servant_to_reference ( | PortableServer::Servant p_servant,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)

PortableServer::ObjectId* TAO_POA::servant_to_system_id ( | PortableServer::Servant p_servant,
| CORBA::Short & priority,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[protected]`

PortableServer::ObjectId* TAO_POA::servant_to_system_id_i ( | PortableServer::Servant p_servant,
| CORBA::Short & priority,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_POA::set_folded_name ( | void )`[protected]`

void TAO_POA::set_id ( | void )`[protected]`

void TAO_POA::set_servant ( | PortableServer::Servant servant,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

void TAO_POA::set_servant_i ( | PortableServer::Servant servant,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

void TAO_POA::set_servant_manager ( | PortableServer::ServantManager_ptr imgr,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)

void TAO_POA::set_servant_manager_i ( | PortableServer::ServantManager_ptr imgr,
| CORBA_Environment & ACE_TRY_ENV ) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[protected]`

ACE_INLINE TAO_SYNCH_RECURSIVE_MUTEX & TAO_POA::single_threaded_lock ( | void ) const`[protected]`

PortableServer::ObjectId * TAO_POA::string_to_ObjectId ( | const char * string,
| int size )`[static]`

PortableServer::ObjectId * TAO_POA::string_to_ObjectId ( | const char * string )`[static]`

ACE_INLINE CORBA::Boolean TAO_POA::system_id ( | void )`[protected]`

ACE_INLINE char TAO_POA::system_id_key_char ( | void )`[static, protected]`

ACE_INLINE char TAO_POA::system_id_key_type ( | void )`[protected]`

ACE_INLINE CORBA::ULong TAO_POA::system_id_key_type_length ( | void )`[static, protected]`

ACE_INLINE const TAO_Object_Adapter::poa_name & TAO_POA::system_name ( | void ) const

PortableServer::POAManager_ptr TAO_POA::the_POAManager ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

void TAO_POA::the_activator ( | PortableServer::AdapterActivator_ptr adapter_activator,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::AdapterActivator_ptr TAO_POA::the_activator ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

ACE_INLINE PortableServer::POAList * TAO_POA::the_children ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::POAList * TAO_POA::the_children_i ( | CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[protected]`

char* TAO_POA::the_name ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

PortableServer::POA_ptr TAO_POA::the_parent ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)

ACE_INLINE PortableServer::ThreadPolicyValue TAO_POA::thread_policy ( | void ) const

| Accessor for the current thread policy of this POA.

ACE_INLINE void * TAO_POA::thread_pool ( | void ) const`[virtual]`

ACE_INLINE char TAO_POA::transient_key_char ( | void )`[static, protected]`

ACE_INLINE char TAO_POA::user_id_key_char ( | void )`[static, protected]`

void TAO_POA::wait_for_completions ( | CORBA::Boolean wait_for_completion,
| CORBA::Environment & ACE_TRY_ENV )`[protected]`

ACE_INLINE CORBA::Boolean TAO_POA::waiting_destruction ( | void ) const`[protected]`

PortableServer::ObjectId * TAO_POA::wstring_to_ObjectId ( | const CORBA::WChar * string )`[static]`

## Friends And Related Function Documentation

class TAO_Object_Adapter`[friend]`

class TAO_POA_Current_Impl`[friend]`

class TAO_POA_Manager`[friend]`

class TAO_RT_Collocation_Resolver`[friend]`

## Member Data Documentation

TAO_Active_Object_Map * TAO_POA::active_object_map_`[protected]`

PortableServer::AdapterActivator_var TAO_POA::adapter_activator_`[protected]`

TAO_POA_Cached_Policies TAO_POA::cached_policies_`[protected]`

CHILDREN TAO_POA::children_`[protected]`

CORBA::Boolean TAO_POA::cleanup_in_progress_`[protected]`

TAO_Creation_Time TAO_POA::creation_time_`[protected]`

PortableServer::ServantBase_var TAO_POA::default_servant_`[protected]`

int TAO_POA::delete_active_object_map_`[protected]`

CORBA::Boolean TAO_POA::etherealize_objects_`[protected]`

TAO_Object_Adapter::poa_name TAO_POA::folded_name_`[protected]`

CORBA::OctetSeq TAO_POA::id_`[protected]`

ACE_Lock & TAO_POA::lock_`[protected]`

String TAO_POA::name_`[protected]`

TAO_Object_Adapter * TAO_POA::object_adapter_`[protected]`

CORBA::Octet TAO_POA::objectkey_prefix[TAO_OBJECTKEY_PREFIX_SIZE]`[inline, static]`

| Initializer:
    {
      024,
      001,
      017,
      000
    }

TAO_ORB_Core & TAO_POA::orb_core_`[protected]`

CORBA::ULong TAO_POA::outstanding_requests_`[protected]`

TAO_SYNCH_CONDITION TAO_POA::outstanding_requests_condition_`[protected]`

TAO_POA * TAO_POA::parent_`[protected]`

TAO_POA_Manager & TAO_POA::poa_manager_`[protected]`

TAO_POA_Policy_Set TAO_POA::policies_`[protected]`

PortableServer::ServantActivator_var TAO_POA::servant_activator_`[protected]`

TAO_SYNCH_CONDITION TAO_POA::servant_deactivation_condition_`[protected]`

PortableServer::ServantLocator_var TAO_POA::servant_locator_`[protected]`

ServerObject_i * TAO_POA::server_object_`[protected]`

TAO_SYNCH_RECURSIVE_MUTEX * TAO_POA::single_threaded_lock_`[protected]`

TAO_Object_Adapter::poa_name_var TAO_POA::system_name_`[protected]`

int TAO_POA::use_imr_`[protected]`

CORBA::Boolean TAO_POA::wait_for_completion_pending_`[protected]`

CORBA::Boolean TAO_POA::waiting_destruction_`[protected]`

CORBA::ULong TAO_POA::waiting_servant_deactivation_`[protected]`

The documentation for this class was generated from the following files:

- POA.h
- POA.cpp
- POA.i